This is a read-only archive!

pSX

I found a need to install a Playstation emulator today, and recalling the minor nightmare installing ePSXe always turns out to be, I searched the Gentoo forums. There's a (somewhat) new emulator called pSX which works really amazingly well. No need to hunt down video/audio/CD-ROM plugins, thank God. It just works. The source code appears to be sadly unavailable so it'll be a binary install only. If you need to install it in Gentoo, it depends on dev-cpp/gtkglextmm and x11-libs/gtkglext.

August 25, 2007 @ 9:54 AM PDT
Cateogory: Linux

5 Comments

Hussam
Quoth Hussam on August 25, 2007 @ 1:01 PM PDT

Screenshots please.

Brian
Quoth Brian on August 25, 2007 @ 4:05 PM PDT

http://psxemulator.gazaxian.com/screenshots.html

http://briancarper.net/random/fforigins.png

Aniruddha
Quoth Aniruddha on August 25, 2007 @ 8:03 PM PDT

Thanks for the tip!

iamwill
Quoth iamwill on September 11, 2007 @ 12:59 AM PDT

I can't get this to work... =( I installed both of the dependencies...

[ebuild R ] x11-libs/gtkglext-1.2.0 USE="-debug -doc" 0 kB [ebuild R ] dev-cpp/gtkglextmm-1.2.0-r1 USE="-debug -doc" 0 kB [1] (this one had to be patched in accordance with http://bugs.gentoo.org/show_bug.cgi?id=159989 )

Then when I try to run it, I get this...

/home/roberts/pSX_linux_1_13/pSX: error while loading shared libraries: libgtkglext-x11-1.0.so.0: cannot open shared object file: No such file or directory

Do you have any ideas on that? I am running ~amd64, but I don't think that would effect it. (i could be wrong though)

Brian
Quoth Brian on September 12, 2007 @ 6:29 AM PDT

Portage tells me that file is provided by x11-libs/gtkglext-1.2.0 on my computer. So I'm not sure.

I have dev-cpp/gtkglextmm-1.0.1 installed, not 1.2.0. I didn't have to patch mine to install it. Maybe try using that version. I didn't have to do anything special to get pSX to run.